On Thu, Apr 12, 2018 at 09:29:47AM -0000, Łukasz Zemczak wrote:
> Does this bug indeed also affect artful? If that's the case then we'd
> need it prepared and uploaded for artful before getting the xenial one
> accepted.

Is this policy? If so, it's not one I'm aware of - can you clarify
please?

My understanding of the position was that you have to make sure a proper
package upgrade path is maintained, basically that the versions go in
the right direction and that the package is upgradable. Apart from that
I thought it was at the discretion of the uploader exactly which
releases they wanted to fix. Is that wrong?

Cheers,

-- 
Iain Lane                                  [ i...@orangesquash.org.uk ]
Debian Developer                                   [ la...@debian.org ]
Ubuntu Developer                                   [ la...@ubuntu.com ]

-- 
You received this bug notification because you are a member of Desktop
Packages, which is subscribed to appstream-glib in Ubuntu.
https://bugs.launchpad.net/bugs/1744941

Title:
  gnome-software crashes in as_app_parse_desktop_file

Status in appstream-glib package in Ubuntu:
  Fix Released
Status in appstream-glib source package in Xenial:
  In Progress
Status in appstream-glib source package in Artful:
  Confirmed
Status in appstream-glib source package in Bionic:
  Fix Released

Bug description:
  [ Impact ]

  Malformed .desktop files might causes crashes because
  the returned list is NULL.

  [ Test case ]
   - Download and copy in one of your XDG_DATA_DIRS (i.e. 
~/.local/share/applications)
     this .desktop file:
     
https://github.com/hughsie/appstream-glib/files/1656100/org.gnome.frogr.desktop.gz
   - Run gnome-software it must not crash.

  [ Regression potential ]

  Missing metadata from .desktop files, but really this is just a null-
  checks fix, so not really anything might go worse.

  
  ----

  See more at upstream bug: https://github.com/hughsie/appstream-
  glib/pull/221

  This affects all the releases since xenial.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/appstream-glib/+bug/1744941/+subscriptions

-- 
Mailing list: https://launchpad.net/~desktop-packages
Post to     : desktop-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~desktop-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to